> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Profile Tier

> A `POST` to the `/profiles/{profile}/tiers/assign` endpoint allows your application to assign profile tier.



## OpenAPI

````yaml post /v3/profiles/{profile}/tiers/assign
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/tiers/assign:
    post:
      tags:
        - Profile Tier
      summary: Assign Profile Tier
      description: >-
        A `POST` to the `/profiles/{profile}/tiers/assign` endpoint allows your
        application to assign profile tier.
      operationId: profileTier.assign
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignProfileTierRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                      profile_id:
                        type: string
                      current_tier:
                        $ref: '#/components/schemas/TierDefinition'
                      next_tier:
                        anyOf:
                          - $ref: '#/components/schemas/TierDefinition'
                          - type: 'null'
                      prev_tier:
                        anyOf:
                          - $ref: '#/components/schemas/TierDefinition'
                          - type: 'null'
                      is_floor:
                        type: string
                      current_credit:
                        type: string
                      current_progress:
                        type: string
                      current_remain:
                        type: string
                      next_progress:
                        type: string
                      next_remain:
                        type: string
                      total_points_12m:
                        type: string
                      total_points_achievement:
                        type: string
                      total_points_pending:
                        type: string
                      next_progress_change_at:
                        type: string
                      anniversary_at:
                        type: string
                      maintained_at:
                        type: string
                      assigned_at:
                        type: string
                      achieved_at:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - id
                      - profile_id
                      - current_tier
                      - next_tier
                      - prev_tier
                      - is_floor
                      - current_credit
                      - current_progress
                      - current_remain
                      - next_progress
                      - next_remain
                      - total_points_12m
                      - total_points_achievement
                      - total_points_pending
                      - next_progress_change_at
                      - anniversary_at
                      - maintained_at
                      - assigned_at
                      - achieved_at
                      - created_at
                      - updated_at
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AssignProfileTierRequest:
      type: object
      properties:
        tier:
          type: string
      required:
        - tier
      title: AssignProfileTierRequest
    TierDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        is_floor:
          type: string
        value_min:
          type: integer
        value_maintain:
          type:
            - integer
            - 'null'
        is_assignable:
          type: boolean
        internal_notes:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        disable_credit:
          type:
            - boolean
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        meta:
          type:
            - array
            - 'null'
          items: {}
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
            is_default:
              type:
                - boolean
                - 'null'
            currency:
              type:
                - string
                - 'null'
            created_at:
              type: string
            updated_at:
              type: string
          required:
            - id
            - name
            - handle
            - is_default
            - currency
            - created_at
            - updated_at
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - is_floor
        - value_min
        - value_maintain
        - is_assignable
        - internal_notes
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - disable_credit
        - tags
        - meta
        - region_id
        - region
        - created_at
        - updated_at
      title: TierDefinition
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````